Subject: bug#68767: eshell's history expansion doesn't support !$

From: Daniel Colascione <[email-masked]>
Date: Sat, 27 Jan 2024 18:47:28 -0800

In bash, !$ expands to the last word of the previous command. eshell
doesn't recognize this syntax, even though it should if it's imitating
bash's history expansion

Also, in general, eshell should support the entirety of bash's history
expansion vocabulary, e.g. !$:h.